Subject: [PATCH] arm64: dts: rockchip: Drop explicit "include/" prefix from #include

From: [email-masked] (Ian Campbell)
Date: Wed, 17 May 2017 02:13:42 +0100

On Sat, 2017-05-13 at 17:43 +0200, Heiko Stuebner wrote:
> Hi Ian,
> 
> Am Samstag, 13. Mai 2017, 00:53:57 CEST schrieb Ian Campbell:
> > It not necessary and counter to how all the other files are done.
> > 
> > It also happens to break the build in the split device tree repo
> > https://git.kernel.org/pub/scm/linux/kernel/git/devicetree/devicetr
> > ee-rebasing.git/
> > 
> > Signed-off-by: Ian Campbell <[email-masked]>
> > Cc: Brian Norris <[email-masked]>
> > Cc: Heiko Stuebner <[email-masked]>
> > Cc: Rob Herring <[email-masked]>
> > Cc: Mark Rutland <[email-masked]>
> > Cc: Catalin Marinas <[email-masked]>
> > Cc: Will Deacon <[email-masked]>
> > Cc: linux-arm-kernel at lists.infradead.org
> > Cc: linux-rockchip at lists.infradead.org
> > Cc: linux-kernel at vger.kernel.org
> 
> that glitch also breaks Olof's patch [0] fixing a depmod symlink
> recursion in that it creates
> 
> ../arch/arm64/boot/dts/rockchip/rk3399-gru-kevin.dts:47:57: fatal
> error: include/dt-bindings/input/linux-event-codes.h: File or
> directory not found
> ?#include <include/dt-bindings/input/linux-event-codes.h>
> 
> with only Olof's patch applied. So I guess both patches should go
> together with this one in front, so to be on the safe side, if some
> else
> is going to apply both:
> 
> Reviewed-by: Heiko Stuebner <[email-masked]>

Not sure who should/wil merge this, but it seems I neglected to Cc Arnd
and Olof so I'm doing so now.

Would be good to get this in soonish.

Ian